Mailinglist Archive: opensuse-factory (428 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191003 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Sat, 05 Oct 2019 12:01:37 +0000
  • Message-id: <157027689731.7663.15650016755348916140@go-agent-stagingbot-6>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191003

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
apache-commons-logging
autoyast2 (4.2.8 -> 4.2.9)
avalon-framework
avalon-logkit
geany (1.34.1 -> 1.36)
geany-plugins (1.34 -> 1.36)
git
libstorage-ng (4.2.11 -> 4.2.14)
poppler (0.79.0 -> 0.81.0)
poppler-qt5 (0.79.0 -> 0.81.0)
sblim-sfcb
yast2-add-on (4.2.6 -> 4.2.7)
yast2-bootloader (4.2.10 -> 4.2.11)
yast2-firstboot (4.2.2 -> 4.2.3)
yast2-ftp-server (4.2.1 -> 4.2.2)
yast2-installation (4.2.15 -> 4.2.16)
yast2-kdump (4.2.4 -> 4.2.5)
yast2-network (4.2.12 -> 4.2.17)
yast2-ntp-client (4.2.3 -> 4.2.4)
yast2-packager (4.2.27 -> 4.2.30)
yast2-security (4.2.2 -> 4.2.3)
yast2-storage-ng (4.2.41 -> 4.2.45)
yast2-trans (84.87.20190922.d5dcfb03ab -> 84.87.20190929.78c47708d4)
yast2-update (4.2.5 -> 4.2.6)

=== Details ===

==== apache-commons-logging ====

- Build against the new compatibility log4j12-mini package

==== autoyast2 ====
Version update (4.2.8 -> 4.2.9)
Subpackages: autoyast2-installation

- Move kdump import before software import to allow kdump to
specify packages it needs in first stage (bsc#1149208)
- 4.2.9

==== avalon-framework ====

- Build against log4j12 compatibility package

==== avalon-logkit ====

- Build against compatibility log4j12 package

==== geany ====
Version update (1.34.1 -> 1.36)
Subpackages: geany-lang libgeany0

- Update to version 1.36:
+ Add support for fractional font sizes.
+ Improve matching filetype extensions.
+ Add Apple Swift, Nim, Kotlin, Groovy and TypeScript filetypes.
+ Update CUDA and NSIS filetypes.
+ Update Scintilla to version 3.10.4.
+ Fix build on recent MSYS2.
+ Updated translations.
- Update to version 1.35:
+ General: Start synchronization with Universal-CTags.
+ Bug fixes:
- Improve IPC socket handling.
- Fix loading the default open encoding option.
- Fix VTE path following after reset.
+ Interface: Show variable type in a tooltip in symbol tree.
+ Editor:
- Update Scintilla to version 3.10.2.
- Drastically speed up huge bulk replacements.
- Fix accessibility information reported upon deletion.
- Fix garbage data insertion when moving lines up or down.
- Don't perform line breaking in rectangular selection mode.
+ Filetypes:
- Allow stripping trailing spaces from custom filetypes based
on the Diff lexer.
- Improve JavaScript symbols parsing.
- Improve HTML symbols parsing.
- Improve COBOL symbols parsing.
- Improve ActionScript symbols parsing.
+ Updated translations.

==== geany-plugins ====
Version update (1.34 -> 1.36)
Subpackages: geany-plugins-lang

- Update to version 1.36:
+ Addons: Add additional color format used at Arduino.
+ Improve support for GTK+3-support in many plugins.
+ Lineoperations:
- Remove every n-th line.
- Add support for locale-aware sorting.
+ Scope: Improve evaluation on-hover.
+ Updatechecker: Update URL for new geany.org-homepage.
+ VimMode:
- Allow browsing command history using arrows.
- Add going to beginning/end of command line.
- Separate command and search history.
+ Workbench:
- Save settings immediately.
- Give sidebar a name to enable dedicated CSS styling.
- Auto-save project on changes.
- Add new feature "Search projects".
- Add option to let Git decide which files to display.
- Changes from version 1.35:
+ General:
- Windows: Install dependency translations only if selected.
- Build: Don't rely on a pkg-config output formatting detail.
+ Addons: Update to use new plugin API.
+ Autoclose: Update to use new plugin API.
+ Automark: Update to use new plugin API.
+ Codenav: Update to use new plugin API.
+ Debugger:
- Update to use new plugin API.
- Fix a compiler warning.
+ Defineformat: Update to use new plugin API.
+ DevHelp: Update to use new plugin API.
+ GeanyCTags: Update to use new plugin API.
+ GeanyExtraSel: Undo workaround for rectange selection cancel
bug (Fixed with 1.34+ Geany core release).
+ GeanyLua:
- Fix build warnings.
- Update to match latest Geany's Scintilla API.
+ GeanyNumberedBookmarks: Fix crash on re-unload.
+ GeanyVC: Add a commit message history.
+ GitChangebar: Fix compatibility with libgit2 0.28 API.
+ Project Organizer: Add file operations to Project Organizer.
+ Scope:
- Correct height of "Environment" GtkTextView.
- Show error message if no executable is set.
- Fix "Modify" menu item being active without selection.
+ Spellcheck: Improve documentation where to put translation
dictionaries.
+ Treebrowser: Use xdg-open for external open command.
+ Vimmode: Fix repeated commands like 10dd not working.
+ Webhelper: Update README.
+ Updated translations.
- Removed obsolete geany-plugins-fix-compat-libgit2_0.28.patch.

==== git ====
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- These patches have been merged upstream a long time ago, no longer needed:
* 0001-submodule-helper-use-to-signal-end-of-clone-options.patch
* 0002-submodule-config-ban-submodule-urls-that-start-with-.patch
* 0003-submodule-config-ban-submodule-paths-that-start-with.patch
* git-mark-path-lookup-errors.patch

==== libstorage-ng ====
Version update (4.2.11 -> 4.2.14)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#673
- parse cipher and key size in cryptsetup output
- added cipher and key size to Encryption (for jsc#SLE-7376)
- probe sector size for Encryption
- extended documentation
- added sanity check
- coding style
- added test case for paes cipher
- handle cipher and key size for encryption
- 4.2.14
- merge gh#openSUSE/libstorage-ng#672
- Add open_options
- Bump version
- Extra options to open encryption
- 4.2.13
- Translated using Weblate (Danish) (bsc#1149754)
- 4.2.12

==== poppler ====
Version update (0.79.0 -> 0.81.0)
Subpackages: libpoppler-cpp0 libpoppler-glib8 poppler-tools

- Update to version 0.81.0:
+ core:
- Splash: Always enable support for CMYK rasterization.
- CairoOutputDev: Check scaled dimensions for 0.
- BaseCryptStream: Fix potential uninitialized memory read.
- SplashBitmap: Fix wrong width condition for
splashModeDeviceN8.
- Fix crashes in malformed files.
- Bump poppler_sover following upstream changes.
- Convert linked package to _multibuild
- Cleanup spec file (remove defattr)
- Add boost_headers to BuildRequires, speedup Splash backend
- Update to version 0.80.0:
+ core:
- Annotations: Implement support for setting a different text
in the appearance stream than the real text.
- Splash: Optionally use small_vector from boost.
- Fix memory leaks on broken files.
- Fix abort on broken files.
- Small code simplifications.
- Remove USE_FIXEDPOINT support.
+ qt5:
- Fix MSVC build.
- Add subsitute-font information.
- Fix since marker of some functions.
- Fix leak when aborting text extraction.
- Small code simplifications.
+ glib:
- Make print scaling getter visible.
- Make Duplex/NumCopies/PrintPageRange preference available in
API.
- Implement Movie API.
+ utils: pdftotext: Add -nodiag flag to remove diagonal text on
output.
+ build system: Mark external lib include dirs as SYSTEM.
- Bump poppler_sover following upstream changes.
- Use cmake_build macro.

==== poppler-qt5 ====
Version update (0.79.0 -> 0.81.0)

- Update to version 0.81.0:
+ core:
- Splash: Always enable support for CMYK rasterization.
- CairoOutputDev: Check scaled dimensions for 0.
- BaseCryptStream: Fix potential uninitialized memory read.
- SplashBitmap: Fix wrong width condition for
splashModeDeviceN8.
- Fix crashes in malformed files.
- Bump poppler_sover following upstream changes.
- Convert linked package to _multibuild
- Cleanup spec file (remove defattr)
- Add boost_headers to BuildRequires, speedup Splash backend
- Update to version 0.80.0:
+ core:
- Annotations: Implement support for setting a different text
in the appearance stream than the real text.
- Splash: Optionally use small_vector from boost.
- Fix memory leaks on broken files.
- Fix abort on broken files.
- Small code simplifications.
- Remove USE_FIXEDPOINT support.
+ qt5:
- Fix MSVC build.
- Add subsitute-font information.
- Fix since marker of some functions.
- Fix leak when aborting text extraction.
- Small code simplifications.
+ glib:
- Make print scaling getter visible.
- Make Duplex/NumCopies/PrintPageRange preference available in
API.
- Implement Movie API.
+ utils: pdftotext: Add -nodiag flag to remove diagonal text on
output.
+ build system: Mark external lib include dirs as SYSTEM.
- Bump poppler_sover following upstream changes.
- Use cmake_build macro.

==== sblim-sfcb ====

- remove 0011-Return-value-from-non-void-function.patch
(function _is_ actually void)
- rename service_init_certs.patch to
0025-Generates-certificates-during-service-start.patch
- rename missing_makefile_dependencies.patch to
0026-fix-build-dependencies-for-sfcbinst2mof.patch
- add 0027-Makefile.am-add-autoconfiscate.sh-to-dist.patch
- add 0028-allow-requests-with-Content-Type-set-to-text-xml.patch
(was hidden inside 0022-Fix-crash-caused-by-NULL-content_type.patch
before)

==== yast2-add-on ====
Version update (4.2.6 -> 4.2.7)

- Automatically offer the modules and extensions in the offline
media installation (jsc#SLE-7101)
- 4.2.7

==== yast2-bootloader ====
Version update (4.2.10 -> 4.2.11)

- Add to autoyast ability to set secure boot flag for UEFI
(jsc#SLE-8787)
- 4.2.11

==== yast2-firstboot ====
Version update (4.2.2 -> 4.2.3)

- Removed call to the already dropped DNS.write_hostname= method
(related to boo#1152627).
- 4.2.3

==== yast2-ftp-server ====
Version update (4.2.1 -> 4.2.2)

- Fix autoyast client (bsc#1149932)
- 4.2.2

==== yast2-installation ====
Version update (4.2.15 -> 4.2.16)

- Support for the offline installation medium (jsc#SLE-7101)
- 4.2.16

==== yast2-kdump ====
Version update (4.2.4 -> 4.2.5)

- fix installing kdump to first stage when kdump enabled in
AutoYaST (bsc#1149208)
- 4.2.5

==== yast2-network ====
Version update (4.2.12 -> 4.2.17)

- bsc#1152840
- Fix interface ipaddr and prefixlen in the cloned profile.
- 4.2.17
- Adapt network CLI to new data model with improved error reporting
(bsc#1151242)
- 4.2.16
- boo#1152748:
- Fix detection of the network status during installation.
- 4.1.15
- AY: Fix interface name check for using the fallback when not set.
- boo#1152627
- Fix circular dependency between DNS and Host modules
- Remove unneeded code related to the already dropped feature to write the
hostname
to /etc/hosts.
- 4.2.14
- bsc#1151491
- Completed the new data model (support for TUN/TAP, bridges,
bonding, VLANs, etc.).
- Switched to use the new data model.
- New wireless configuration workflow.
- Revamped support for interfaces renaming and drivers assignment, including
better udev rules handling.
- Fixed /etc/hosts handling when switching from static to DHCP based
configuration.
- Many small fixes in different areas.
- 4.2.13

==== yast2-ntp-client ====
Version update (4.2.3 -> 4.2.4)

- implement starting chrony-wait only if product require it
(bsc#1145193)
- 4.2.4

==== yast2-packager ====
Version update (4.2.27 -> 4.2.30)

- Do not add an empty repository from the offline medium root
(jsc#SLE-7101)
- 4.2.30
- Small refactoring related to the offline medium (jsc#SLE-7101)
- 4.2.29
- Support for the offline installation medium (jsc#SLE-7101)
- 4.2.28

==== yast2-security ====
Version update (4.2.2 -> 4.2.3)

- AY: Settings have not been exported. "console_shutdown" entry
has not been evaluated (bsc#1150821).
- 4.2.3

==== yast2-storage-ng ====
Version update (4.2.41 -> 4.2.45)

- Partitioner: fix the type column value for Ext3/4 filesystems
with an external journal (bsc#1145841).
- Do not crash when importing mount points from a multi-device
filesystem.
- 4.2.45
- At the end of installation, copy the pervasive encryption keys
to the zkey repository of the target system (jsc#SLE-7376).
- 4.2.44
- implemented detection of pervasive encryption (for jsc#SLE-7376)
- 4.2.43
- Partitioner: allow encrypting swap with protected and secure
keys (part of jsc#SLE-7376).
- Partitioner: allow importing mount points from encrypted swap
with protected and secure keys.
- 4.2.42

==== yast2-trans ====
Version update (84.87.20190922.d5dcfb03ab -> 84.87.20190929.78c47708d4)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sr yast2-trans-sv yast2-trans-ta
yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi yast2-trans-wa
yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20190929.78c47708d4:
* Translated using Weblate (German)
* Translated using Weblate (German)
* Translated using Weblate (German)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Albanian)
* New POT for text domain 'autoinst'.
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translation fixes
* Translation fixes
* Translated using Weblate (Slovak)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* New POT for text domain 'storage'.
* New POT for text domain 'dns-server'.
* New POT for text domain 'control'.
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)

==== yast2-update ====
Version update (4.2.5 -> 4.2.6)

- Use new API to save encryption names from crypttab file (part of
jsc#SLE-7376).
- 4.2.6


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages